| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::basic_socket_acceptor (9 of 10 overloads)

Move-construct a `basic_socket_acceptor` from another.

    basic_socket_acceptor(
        basic_socket_acceptor && other);

This constructor moves an acceptor from one object to another.

###### Parameters

other

  The other `basic_socket_acceptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_socket_acceptor(const executor_type&)` constructor.